Index: trunk/examples/extended/electromagnetic/TestEm17/History
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/History	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.4 2007/05/12 16:33:53 vnivanch Exp $
+$Id: History,v 1.12 2010/06/07 05:40:46 perl Exp $
 -------------------------------------------------------------------
 
@@ -15,4 +15,29 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+     
+06-06-10 J.Perl (testem17-V09-03-02)
+- Remove unused variable in EventAction
+
+03-06-10 J.Perl (testem17-V09-03-01)
+- Updated vis usage 
+ 
+21-05-10 mma (testem17-V09-03-00)
+- TestEm17.cc : introduction of G4UIExecutive
+
+24-09-08 mma (testem17-V09-01-04)
+- HistoManager : root as default format 
+
+12-06-08 mma (testem17-V09-01-03)
+- Remove AIDA from GNUmakefile 
+     
+07-05-08 mma (testem17-V09-01-02)
+- PhysListEmStandard : add spline option for physics tables
+- README : update Aida informations
+
+31-03-08 V.Ivant (testem17-V09-01-01)
+- reduce number of string comparisons (10% CPU)
+
+18-03-08 V.Ivant (testem17-V09-01-00)
+- added pion and protons bremsstrahlung and pair production
 
 12-05-07 V.Ivant (testem17-V08-03-00)
Index: trunk/examples/extended/electromagnetic/TestEm17/README
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/README	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/README	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: README,v 1.1 2006/05/09 16:22:19 maire Exp $
+$Id: README,v 1.3 2008/09/26 20:15:04 maire Exp $
 -------------------------------------------------------------------
 
@@ -79,5 +79,5 @@
 	the commands:
  	/testem/histo/setFileName  name  (default testem17)
-   	/testem/histo/setFileType  name  (default hbook)
+   	/testem/histo/setFileType  name  (default root)
 
 	Note that, by default, histograms are disabled. To activate them, 
@@ -124,44 +124,4 @@
 	 
   To use histograms, at least one of the AIDA implementations should be 
-  available (see http://aida.freehep.org).
+  available. See InstallAida.txt
   
- 8a - PI 
-
-  A package including AIDA and extended interfaces also using Python is PI, 
-  available from: http://cern.ch/pi
-
-  Once installed PI or PI-Lite in a specified local area $MYPY, it is required 
-  to add the installation path to $PATH, i.e. for example, for release 1.2.1 of 
-  PI:
-  setenv PATH ${PATH}:$MYPI/1.2.1/app/releases/PI/PI_1_2_1/rh73_gcc32/bin
-
-  CERN users can use the PATH to the LCG area on AFS.
-  Before running the example the command should be issued:
-  eval `aida-config --runtime csh`
-
- 8b -  OpenScientist
-
-  OpenScientist is available at http://OpenScientist.lal.in2p3.fr.
-
-  You have to "setup" the OpenScientist AIDA implementation before compiling
-  (then with G4ANALYSIS_USE set) and running your Geant4 application.
-
- On UNIX you setup, with a csh flavoured shell : 
-	csh> source <<OpenScientist install path>/aida-setup.csh 
-        or with a sh flavoured shell : 
-	sh> . <<OpenScientist install path>/aida-setup.sh
- On Windows : 
-	DOS> call <<OpenScientist install path>/aida-setup.bat 
-
-  You can use various file formats for writing (AIDA-XML, hbook, root).
-  These formats are readable by the Lab onx interactive program
-  or the OpenPAW application. See the web pages.
-
-
-  With OpenPAW, on a run.hbook file, one can view the histograms
-  with something like :
-	OS> opaw 
-        opaw> h/file 1 run.hbook  ( or opaw> h/file 1 run.aida or run.root)  
-	opaw> zone 2 2 
-	opaw> h/plot 1 
-	opaw> h/plot 2
Index: trunk/examples/extended/electromagnetic/TestEm17/TestEm17.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/TestEm17.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/TestEm17.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: TestEm17.cc,v 1.2 2006/06/29 16:48:08 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: TestEm17.cc,v 1.3 2010/05/21 08:30:24 maire Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -33,6 +33,4 @@
 #include "G4RunManager.hh"
 #include "G4UImanager.hh"
-#include "G4UIterminal.hh"
-#include "G4UItcsh.hh"
 #include "Randomize.hh"
 
@@ -50,4 +48,8 @@
 #ifdef G4VIS_USE
  #include "G4VisExecutive.hh"
+#endif
+
+#ifdef G4UI_USE
+#include "G4UIExecutive.hh"
 #endif
 
@@ -72,10 +74,4 @@
   runManager->SetUserAction(prim = new PrimaryGeneratorAction(det));
   
-  #ifdef G4VIS_USE
-   // visualization manager
-   G4VisManager* visManager = new G4VisExecutive;
-   visManager->Initialize();
-  #endif
-  
   HistoManager* histo = new HistoManager();
       
@@ -95,21 +91,22 @@
     
   } else {		// start interactive session
-    G4UIsession* session = 0;
-#ifdef G4UI_USE_TCSH
-      session = new G4UIterminal(new G4UItcsh);      
-#else
-      session = new G4UIterminal();
-#endif         
-    session->SessionStart();
-    delete session;
+#ifdef G4VIS_USE
+   G4VisManager* visManager = new G4VisExecutive;
+   visManager->Initialize();
+#endif    
+     
+#ifdef G4UI_USE
+      G4UIExecutive * ui = new G4UIExecutive(argc,argv);      
+      ui->SessionStart();
+      delete ui;
+#endif
+          
+#ifdef G4VIS_USE
+     delete visManager;
+#endif     
   }
 
   // job termination
   //
- 
-#ifdef G4VIS_USE
- delete visManager;
-#endif
-
   delete histo; 
   delete runManager;
Index: trunk/examples/extended/electromagnetic/TestEm17/TestEm17.in
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/TestEm17.in	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/TestEm17.in	(revision 1337)
@@ -1,3 +1,3 @@
-# $Id: TestEm17.in,v 1.1 2006/05/09 16:22:19 maire Exp $
+# $Id: TestEm17.in,v 1.3 2008/03/31 10:11:30 vnivanch Exp $
 #
 # Macro file for "TestEm17.cc"
@@ -21,2 +21,10 @@
 #
 /run/beamOn 10000
+#
+/gun/particle pi+
+/run/beamOn 10000
+#
+/gun/particle proton
+/run/beamOn 10000
+#
+
Index: trunk/examples/extended/electromagnetic/TestEm17/TestEm17.out
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/TestEm17.out	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/TestEm17.out	(revision 1337)
@@ -1,5 +1,9 @@
+
+        ############################################
+        !!! WARNING - FPE detection is activated !!!
+        ############################################
 
 *************************************************************
- Geant4 version Name: global-V09-00-03    (9-May-2008)
+ Geant4 version Name: geant4-09-03-ref-06    (25-June-2010)
                       Copyright : Geant4 Collaboration
                       Reference : NIM A 506 (2003), 250-303
@@ -10,61 +14,29 @@
 ***** Table : Nb of materials = 7 *****
 
- Material: galactic     density:  0.000 mg/cm3  RadL: 204727576.737 pc   Imean:  21.800 eV   temperature:   2.73 K  pressure:   0.00 atm
+ Material: galactic     density:  0.000 kg/m3   RadL: 204727512.315 pc   Nucl.Int.Length: 113804112.800 pc   Imean:  19.200 eV   temperature:   2.73 K  pressure:   0.00 atm
    --->  Element: galactic ( )   Z =  1.0   N =   1.0   A =   1.01 g/mole  ElmMassFraction: 100.00 %  ElmAbundance 100.00 %
 
- Material:      Air     density:  1.290 mg/cm3  RadL: 285.161 m    Imean:  85.684 eV   temperature: 273.15 K  pressure:   1.00 atm
+ Material:      Air     density:  1.290 mg/cm3  RadL: 285.161 m    Nucl.Int.Length: 662.680 m    Imean:  85.703 eV   temperature: 273.15 K  pressure:   1.00 atm
    --->  Element: Nitrogen (N)   Z =  7.0   N =  14.0   A =  14.01 g/mole  ElmMassFraction:  70.00 %  ElmAbundance  72.71 %
    --->  Element: Oxygen (O)   Z =  8.0   N =  16.0   A =  16.00 g/mole  ElmMassFraction:  30.00 %  ElmAbundance  27.29 %
 
- Material:    CaCO3     density:  2.800 g/cm3   RadL:   8.581 cm   Imean: 123.060 eV 
+ Material:    CaCO3     density:  2.800 g/cm3   RadL:   8.581 cm   Nucl.Int.Length:  34.749 cm   Imean: 123.236 eV 
    --->  Element: Calcium (Ca)   Z = 20.0   N =  40.1   A =  40.08 g/mole  ElmMassFraction:  40.04 %  ElmAbundance  20.00 %
    --->  Element: Carbon (C)   Z =  6.0   N =  12.0   A =  12.01 g/mole  ElmMassFraction:  12.00 %  ElmAbundance  20.00 %
    --->  Element: Oxygen (O)   Z =  8.0   N =  16.0   A =  16.00 g/mole  ElmMassFraction:  47.96 %  ElmAbundance  60.00 %
 
- Material:   Carbon     density:  2.265 g/cm3   RadL:  18.850 cm   Imean:  78.000 eV 
+ Material:   Carbon     density:  2.265 g/cm3   RadL:  18.850 cm   Nucl.Int.Length:  35.387 cm   Imean:  81.000 eV 
    --->  Element: Carbon ( )   Z =  6.0   N =  12.0   A =  12.01 g/mole  ElmMassFraction: 100.00 %  ElmAbundance 100.00 %
 
- Material:     Iron     density:  7.870 g/cm3   RadL:   1.759 cm   Imean: 286.000 eV 
-   --->  Element: Iron ( )   Z = 26.0   N =  55.9   A =  55.85 g/mole  ElmMassFraction: 100.00 %  ElmAbundance 100.00 %
-
- Material:      Tin     density:  7.310 g/cm3   RadL:   1.206 cm   Imean: 490.000 eV 
+ Material:     Iron     density:  7.870 g/cm3   RadL:   1.759 cm   Nucl.Int.Length:  16.999 cm   Imean: 286.000 eV 
+   --->  Element: Iron ( )   Z = 26.0   N =  55.8   A =  55.85 g/mole  ElmMassFraction: 100.00 %  ElmAbundance 100.00 %
+
+ Material:      Tin     density:  7.310 g/cm3   RadL:   1.206 cm   Nucl.Int.Length:  23.531 cm   Imean: 488.000 eV 
    --->  Element: Tin ( )   Z = 50.0   N = 118.7   A = 118.70 g/mole  ElmMassFraction: 100.00 %  ElmAbundance 100.00 %
 
- Material:       HI     density:  2.800 g/cm3   RadL:   3.049 cm   Imean: 465.242 eV 
+ Material:       HI     density:  2.800 g/cm3   RadL:   3.049 cm   Nucl.Int.Length:  60.888 cm   Imean: 462.393 eV 
    --->  Element: Hydrogen (H)   Z =  1.0   N =   1.0   A =   1.01 g/mole  ElmMassFraction:   0.79 %  ElmAbundance  50.00 %
    --->  Element: Iodine (I)   Z = 53.0   N = 126.9   A = 126.90 g/mole  ElmMassFraction:  99.21 %  ElmAbundance  50.00 %
 
-
-Visualization Manager instantiating...
-Visualization Manager initialising...
-Registering graphics systems...
-
-You have successfully registered the following graphics systems.
-Current available graphics systems are:
-  ASCIITree (ATree)
-  DAWNFILE (DAWNFILE)
-  G4HepRep (HepRepXML)
-  G4HepRepFile (HepRepFile)
-  RayTracer (RayTracer)
-  VRML1FILE (VRML1FILE)
-  VRML2FILE (VRML2FILE)
-  OpenGLImmediateX (OGLIX)
-  OpenGLStoredX (OGLSX)
-
-Registering model factories...
-
-You have successfully registered the following model factories.
-Registered model factories:
-  generic
-  drawByCharge
-  drawByParticleID
-  drawByOriginVolume
-  drawByAttribute
-
-Registered filter factories:
-  chargeFilter
-  particleFilter
-  originVolumeFilter
-  attributeFilter
 
 /run/verbose 2
@@ -83,4 +55,5 @@
 physicsList->Construct() start.
 physicsList->Construct() start.
+physicsList->CheckParticleList() start.
 physicsList->setCut() start.
 PhysicsList::SetCuts:CutLength : 1 mm 
@@ -92,4 +65,106 @@
 #
 /run/beamOn 10000
+
+hIoni:   for  proton    SubType= 2
+      dE/dx and range tables from 100 eV  to 1000 PeV in 160 bins
+      Lambda tables from threshold to 1000 PeV in 160 bins, spline: 1
+      finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               Bragg :     Emin=          0 eV         Emax=   2 MeV
+          BetheBloch :     Emin=          2 MeV        Emax=   1000 PeV
+
+hBrems:   for  proton    SubType= 3
+      dE/dx and range tables from 100 eV  to 1000 PeV in 160 bins
+      Lambda tables from threshold to 1000 PeV in 160 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               hBrem :     Emin=          0 eV         Emax=   100 TeV
+
+hPairProd:   for  proton    SubType= 4
+      dE/dx and range tables from 100 eV  to 1000 PeV in 160 bins
+      Lambda tables from threshold to 1000 PeV in 160 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+           hPairProd :     Emin=          0 eV         Emax=   100 TeV
+
+muIoni:   for  mu+    SubType= 2
+      dE/dx and range tables from 100 eV  to 1000 PeV in 160 bins
+      Lambda tables from threshold to 1000 PeV in 160 bins, spline: 1
+      finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               Bragg :     Emin=          0 eV         Emax=   200 keV
+          BetheBloch :     Emin=        200 keV        Emax=   1 GeV
+        MuBetheBloch :     Emin=          1 GeV        Emax=   1000 PeV
+
+muBrems:   for  mu+    SubType= 3
+      dE/dx and range tables from 100 eV  to 1000 PeV in 160 bins
+      Lambda tables from threshold to 1000 PeV in 160 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+              MuBrem :     Emin=          0 eV         Emax=   1000 PeV
+
+muPairProd:   for  mu+    SubType= 4
+      dE/dx and range tables from 100 eV  to 1000 PeV in 160 bins
+      Lambda tables from threshold to 1000 PeV in 160 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+          muPairProd :     Emin=          0 eV         Emax=   1000 PeV
+
+muIoni:   for  mu-    SubType= 2
+      dE/dx and range tables from 100 eV  to 1000 PeV in 160 bins
+      Lambda tables from threshold to 1000 PeV in 160 bins, spline: 1
+      finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+            ICRU73QO :     Emin=          0 eV         Emax=   200 keV
+          BetheBloch :     Emin=        200 keV        Emax=   1 GeV
+        MuBetheBloch :     Emin=          1 GeV        Emax=   1000 PeV
+
+muBrems:   for  mu-    SubType= 3
+      dE/dx and range tables from 100 eV  to 1000 PeV in 160 bins
+      Lambda tables from threshold to 1000 PeV in 160 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+              MuBrem :     Emin=          0 eV         Emax=   1000 PeV
+
+muPairProd:   for  mu-    SubType= 4
+      dE/dx and range tables from 100 eV  to 1000 PeV in 160 bins
+      Lambda tables from threshold to 1000 PeV in 160 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+          muPairProd :     Emin=          0 eV         Emax=   1000 PeV
+
+hIoni:   for  pi+    SubType= 2
+      dE/dx and range tables from 100 eV  to 1000 PeV in 160 bins
+      Lambda tables from threshold to 1000 PeV in 160 bins, spline: 1
+      finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               Bragg :     Emin=          0 eV         Emax=   297.504 keV
+          BetheBloch :     Emin=    297.504 keV        Emax=   1000 PeV
+
+hBrems:   for  pi+    SubType= 3
+      dE/dx and range tables from 100 eV  to 1000 PeV in 160 bins
+      Lambda tables from threshold to 1000 PeV in 160 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               hBrem :     Emin=          0 eV         Emax=   100 TeV
+
+hPairProd:   for  pi+    SubType= 4
+      dE/dx and range tables from 100 eV  to 1000 PeV in 160 bins
+      Lambda tables from threshold to 1000 PeV in 160 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+           hPairProd :     Emin=          0 eV         Emax=   100 TeV
+
+hIoni:   for  pi-    SubType= 2
+      dE/dx and range tables from 100 eV  to 1000 PeV in 160 bins
+      Lambda tables from threshold to 1000 PeV in 160 bins, spline: 1
+      finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+            ICRU73QO :     Emin=          0 eV         Emax=   297.504 keV
+          BetheBloch :     Emin=    297.504 keV        Emax=   1000 PeV
+
+hBrems:   for  pi-    SubType= 3
+      dE/dx and range tables from 100 eV  to 1000 PeV in 160 bins
+      Lambda tables from threshold to 1000 PeV in 160 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               hBrem :     Emin=          0 eV         Emax=   100 TeV
+
+hPairProd:   for  pi-    SubType= 4
+      dE/dx and range tables from 100 eV  to 1000 PeV in 160 bins
+      Lambda tables from threshold to 1000 PeV in 160 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+           hPairProd :     Emin=          0 eV         Emax=   100 TeV
 
 Region <DefaultRegionForTheWorld> -- appears in <Iron> world volume
@@ -97,5 +172,5 @@
  Pointers : G4VUserRegionInformation[0], G4UserLimits[0], G4FastSimulationManager[0], G4UserSteppingAction[0]
  Materials : Iron 
- Production cuts :  gamma 1 mm     e- 1 mm     e+ 1 mm 
+ Production cuts :   gamma 1 mm      e- 1 mm      e+ 1 mm  proton 0 fm 
 
 ========= Table of registered couples ==============================
@@ -103,6 +178,6 @@
 Index : 0     used in the geometry : Yes     recalculation needed : No 
  Material : Iron
- Range cuts        :  gamma 1 mm     e- 1 mm     e+ 1 mm 
- Energy thresholds :  gamma 20.8323 keV    e- 1.28002 MeV    e+ 1.21851 MeV
+ Range cuts        :  gamma  1 mm     e-  1 mm     e+  1 mm  proton 0 fm 
+ Energy thresholds :  gamma  20.6438 keV    e-  1.29592 MeV    e+  1.21169 MeV proton 0 eV 
  Region(s) which use this couple : 
     DefaultRegionForTheWorld
@@ -145,19 +220,144 @@
 Run Summary
   Number of events processed : 10000
-  User=8.7s Real=32.93s Sys=2.4s
+  User=4.58s Real=9.39s Sys=0.25s
 
  The run consists of 10000 mu+ of 10 TeV through 1 m   of Iron (density: 7.9 g/cm3 )
 
- Number of process calls --->	muIoni : 469509	muPairProd : 63194	muBrems : 732
-
- Simulation: total CrossSection = 0.53343 /cm	 MeanFreePath = 1.8746 cm 	 massicCrossSection = 0.067781 cm2/g
+ Number of process calls --->	muIoni : 461894	muPairProd : 63886	muBrems : 665
+
+ Simulation: total CrossSection = 0.52644 /cm	 MeanFreePath = 1.8995 cm 	 massicCrossSection = 0.066893 cm2/g
  Theory:     total CrossSection = 0.53938 /cm	 MeanFreePath = 1.854 cm 	 massicCrossSection = 0.068536 cm2/g
 
 --------- Ranecu engine status ---------
  Initial seed (index) = 0
- Current couple of seeds = 2031201429, 1872579439
-----------------------------------------
-Graphics systems deleted.
-Visualization Manager deleting...
+ Current couple of seeds = 1599898295, 1410323926
+----------------------------------------
+#
+/gun/particle pi+
+/run/beamOn 10000
+
+Region <DefaultRegionForTheWorld> -- appears in <Iron> world volume
+ Root logical volume(s) : Iron 
+ Pointers : G4VUserRegionInformation[0], G4UserLimits[0], G4FastSimulationManager[0], G4UserSteppingAction[0]
+ Materials : Iron 
+ Production cuts :   gamma 1 mm      e- 1 mm      e+ 1 mm  proton 0 fm 
+
+========= Table of registered couples ==============================
+
+Index : 0     used in the geometry : Yes     recalculation needed : No 
+ Material : Iron
+ Range cuts        :  gamma  1 mm     e-  1 mm     e+  1 mm  proton 0 fm 
+ Energy thresholds :  gamma  20.643844 keV    e-  1.295918 MeV    e+  1.2116932 MeV proton 0 eV 
+ Region(s) which use this couple : 
+    DefaultRegionForTheWorld
+
+====================================================================
+
+### Run 1 start.
+
+--------- Ranecu engine status ---------
+ Initial seed (index) = 0
+ Current couple of seeds = 1599898295, 1410323926
+----------------------------------------
+Start Run processing.
+
+---> Begin of Event: 0
+
+---> Begin of Event: 1000
+
+---> Begin of Event: 2000
+
+---> Begin of Event: 3000
+
+---> Begin of Event: 4000
+
+---> Begin of Event: 5000
+
+---> Begin of Event: 6000
+
+---> Begin of Event: 7000
+
+---> Begin of Event: 8000
+
+---> Begin of Event: 9000
+Run terminated.
+Run Summary
+  Number of events processed : 10000
+  User=4.12s Real=5.27s Sys=0.24s
+
+ The run consists of 10000 pi+ of 10 TeV through 1 m   of Iron (density: 7.9 g/cm3 )
+
+ Number of process calls --->	hIoni : 433928	hPairProd : 59452	hBrems : 347
+
+ Simulation: total CrossSection = 0.49373 /cm	 MeanFreePath = 2.0254 cm 	 massicCrossSection = 0.062735 cm2/g
+
+--------- Ranecu engine status ---------
+ Initial seed (index) = 0
+ Current couple of seeds = 1194972054, 916833196
+----------------------------------------
+#
+/gun/particle proton
+/run/beamOn 10000
+
+Region <DefaultRegionForTheWorld> -- appears in <Iron> world volume
+ Root logical volume(s) : Iron 
+ Pointers : G4VUserRegionInformation[0], G4UserLimits[0], G4FastSimulationManager[0], G4UserSteppingAction[0]
+ Materials : Iron 
+ Production cuts :   gamma 1 mm      e- 1 mm      e+ 1 mm  proton 0 fm 
+
+========= Table of registered couples ==============================
+
+Index : 0     used in the geometry : Yes     recalculation needed : No 
+ Material : Iron
+ Range cuts        :  gamma  1 mm     e-  1 mm     e+  1 mm  proton 0 fm 
+ Energy thresholds :  gamma  20.643844 keV    e-  1.295918 MeV    e+  1.2116932 MeV proton 0 eV 
+ Region(s) which use this couple : 
+    DefaultRegionForTheWorld
+
+====================================================================
+
+### Run 2 start.
+
+--------- Ranecu engine status ---------
+ Initial seed (index) = 0
+ Current couple of seeds = 1194972054, 916833196
+----------------------------------------
+Start Run processing.
+
+---> Begin of Event: 0
+
+---> Begin of Event: 1000
+
+---> Begin of Event: 2000
+
+---> Begin of Event: 3000
+
+---> Begin of Event: 4000
+
+---> Begin of Event: 5000
+
+---> Begin of Event: 6000
+
+---> Begin of Event: 7000
+
+---> Begin of Event: 8000
+
+---> Begin of Event: 9000
+Run terminated.
+Run Summary
+  Number of events processed : 10000
+  User=3.58s Real=3.91s Sys=0.24s
+
+ The run consists of 10000 proton of 10 TeV through 1 m   of Iron (density: 7.9 g/cm3 )
+
+ Number of process calls --->	hIoni : 433160	hPairProd : 34070	hBrems : 10
+
+ Simulation: total CrossSection = 0.46724 /cm	 MeanFreePath = 2.1402 cm 	 massicCrossSection = 0.05937 cm2/g
+
+--------- Ranecu engine status ---------
+ Initial seed (index) = 0
+ Current couple of seeds = 250921008, 1691860124
+----------------------------------------
+#
 UserDetectorConstruction deleted.
 UserPhysicsList deleted.
@@ -166,5 +366,4 @@
 G4 kernel has come to Quit state.
 EventManager deleted.
-Default detector region deleted.
 UImanager deleted.
 Units table cleared.
@@ -172,2 +371,3 @@
 RunManagerKernel is deleted.
 RunManager is deleting.
+
Index: trunk/examples/extended/electromagnetic/TestEm17/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/include/DetectorConstruction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/include/DetectorConstruction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.2 2006/06/29 16:48:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm17/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/include/DetectorMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/include/DetectorMessenger.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.2 2006/06/29 16:48:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm17/include/EventAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/include/EventAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/include/EventAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.2 2006/06/29 16:48:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/include/EventActionMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/include/EventActionMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.2 2006/06/29 16:48:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/include/HistoManager.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/include/HistoManager.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/include/HistoManager.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoManager.hh,v 1.3 2008/03/18 15:30:33 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/include/HistoMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/include/HistoMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/include/HistoMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.hh,v 1.2 2006/06/29 16:48:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/include/MuCrossSections.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/include/MuCrossSections.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/include/MuCrossSections.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: MuCrossSections.hh,v 1.2 2006/06/29 16:48:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/include/MuNuclearBuilder.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/include/MuNuclearBuilder.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/include/MuNuclearBuilder.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: MuNuclearBuilder.hh,v 1.2 2006/06/29 16:48:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/include/PhysListEmStandard.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/include/PhysListEmStandard.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/include/PhysListEmStandard.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysListEmStandard.hh,v 1.2 2006/06/29 16:48:30 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/include/PhysicsList.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/include/PhysicsList.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsList.hh,v 1.2 2006/06/29 16:48:32 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/include/PhysicsListMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/include/PhysicsListMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.hh,v 1.2 2006/06/29 16:48:34 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/include/PrimaryGeneratorAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/include/PrimaryGeneratorAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.2 2006/06/29 16:48:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/include/ProcessesCount.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/include/ProcessesCount.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/include/ProcessesCount.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: ProcessesCount.hh,v 1.2 2006/06/29 16:48:38 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/include/RunAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/include/RunAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/include/RunAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.hh,v 1.2 2006/06/29 16:48:40 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/include/StackingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/include/StackingAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/include/StackingAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingAction.hh,v 1.2 2006/06/29 16:48:42 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/include/SteppingAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/include/SteppingAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.hh,v 1.2 2006/06/29 16:48:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/include/SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/include/SteppingVerbose.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/include/SteppingVerbose.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.hh,v 1.2 2006/06/29 16:48:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //   This class manages the verbose outputs in G4SteppingManager. 
Index: trunk/examples/extended/electromagnetic/TestEm17/src/DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/DetectorConstruction.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/DetectorConstruction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: DetectorConstruction.cc,v 1.3 2007/05/12 16:33:53 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/src/DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/DetectorMessenger.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/DetectorMessenger.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: DetectorMessenger.cc,v 1.2 2006/06/29 16:48:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm17/src/EventAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/EventAction.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/EventAction.cc	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: EventAction.cc,v 1.2 2006/06/29 16:48:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: EventAction.cc,v 1.4 2010/06/07 05:40:46 perl Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -35,7 +35,4 @@
 
 #include "G4Event.hh"
-#include "G4TrajectoryContainer.hh"
-#include "G4Trajectory.hh"
-#include "G4VVisManager.hh"
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -67,17 +64,6 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-void EventAction::EndOfEventAction(const G4Event* evt)
+void EventAction::EndOfEventAction(const G4Event*)
 {
-  if (G4VVisManager::GetConcreteInstance())
-  {
-    G4TrajectoryContainer* trajectoryContainer = evt->GetTrajectoryContainer();
-    G4int n_trajectories = 0;
-    if (trajectoryContainer) n_trajectories = trajectoryContainer->entries();  
-    for (G4int i=0; i<n_trajectories; i++) {
-       G4Trajectory* trj = (G4Trajectory*)
-                                       ((*(evt->GetTrajectoryContainer()))[i]);
-       trj->DrawTrajectory(1000);
-    }
-  }
 }
 
Index: trunk/examples/extended/electromagnetic/TestEm17/src/EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/EventActionMessenger.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/EventActionMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.cc,v 1.2 2006/06/29 16:48:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/src/HistoManager.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/HistoManager.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/HistoManager.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoManager.cc,v 1.4 2008/09/26 20:15:04 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/src/HistoMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/HistoMessenger.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/HistoMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.cc,v 1.2 2006/06/29 16:49:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/src/MuCrossSections.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/MuCrossSections.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/MuCrossSections.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: MuCrossSections.cc,v 1.2 2006/06/29 16:49:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/src/MuNuclearBuilder.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/MuNuclearBuilder.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/MuNuclearBuilder.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: MuNuclearBuilder.cc,v 1.2 2006/06/29 16:49:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/src/PhysListEmStandard.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/PhysListEmStandard.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/PhysListEmStandard.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysListEmStandard.cc,v 1.4 2008/05/07 13:57:56 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/PhysicsList.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/PhysicsList.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysicsList.cc,v 1.4 2006/10/24 10:06:21 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/PhysicsListMessenger.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/PhysicsListMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.cc,v 1.2 2006/06/29 16:49:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/src/PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/PrimaryGeneratorAction.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/PrimaryGeneratorAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.cc,v 1.2 2006/06/29 16:49:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/src/RunAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/RunAction.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/RunAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.cc,v 1.4 2008/03/31 10:22:59 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/src/StackingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/StackingAction.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/StackingAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingAction.cc,v 1.2 2006/06/29 16:49:20 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/src/SteppingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/SteppingAction.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/SteppingAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.cc,v 1.4 2008/03/31 10:22:59 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/src/SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/SteppingVerbose.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/SteppingVerbose.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.cc,v 1.2 2006/06/29 16:49:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/vis.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/vis.mac	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm17/vis.mac	(revision 1337)
@@ -1,4 +1,4 @@
 #
-# Macro file for the initialization phase of "TestEm14.cc"
+# Macro file for the initialization phase of "TestEm6.cc"
 #
 # Sets some default verbose
@@ -10,21 +10,70 @@
 /run/initialize
 #
-# Create empty scene ("world" is default)
-/vis/scene/create
+# Use this open statement to create an OpenGL view:
+/vis/open OGL 600x600-0+0
 #
-# Create a scene handler for a specific graphics system
-# Edit the next line(s) to choose another graphic system
-#
-/vis/open OGLIX
-#
+# Use this open statement to create a .prim file suitable for
+# viewing in DAWN:
 #/vis/open DAWNFILE
 #
-# Draw scene
+# Use this open statement to create a .heprep file suitable for
+# viewing in HepRApp:
+#/vis/open HepRepFile
+#
+# Use this open statement to create a .wrl file suitable for
+# viewing in a VRML viewer:
+#/vis/open VRML2FILE
+#
+# Disable auto refresh and quieten vis messages whilst scene and
+# trajectories are established:
+/vis/viewer/set/autoRefresh false
+/vis/verbose errors
+#
+# Draw geometry:
+/vis/drawVolume
+#
+# Specify view angle:
+#/vis/viewer/set/viewpointThetaPhi 90. 0.
+#
+# Specify zoom value:
 /vis/viewer/zoom 1.4
-/vis/viewer/flush
 #
-# for drawing the tracks
-# if too many tracks cause core dump => storeTrajectory 0
-/tracking/storeTrajectory 1
+# Specify style (surface or wireframe):
+#/vis/viewer/set/style surface
+#
+# Draw coordinate axes:
+#/vis/scene/add/axes 0 0 0 1 m
+#
+# Draw smooth trajectories at end of event, showing trajectory points
+# as markers 2 pixels wide:
+/vis/scene/add/trajectories smooth
+/vis/modeling/trajectories/create/drawByCharge
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 2
+# (if too many tracks cause core dump => /tracking/storeTrajectory 0)
+#
+# Draw hits at end of event:
+#/vis/scene/add/hits
+#
+# To draw only gammas:
+#/vis/filtering/trajectories/create/particleFilter
+#/vis/filtering/trajectories/particleFilter-0/add gamma
+#
+# To invert the above, drawing all particles except gammas,
+# keep the above two lines but also add:
+#/vis/filtering/trajectories/particleFilter-0/invert true
+#
+# Many other options are available with /vis/modeling and /vis/filtering.
+# For example, to select colour by particle ID:
+#/vis/modeling/trajectories/create/drawByParticleID
+#/vis/modeling/trajectories/drawByParticleID-0/set e- blue
+#
+# To superimpose all of the events from a given run:
 /vis/scene/endOfEventAction accumulate
-
+#
+# Re-establish auto refreshing and verbosity:
+/vis/viewer/set/autoRefresh true
+/vis/verbose warnings
+#
+# For file-based drivers, use this to create an empty detector view:
+#/vis/viewer/flush
